<?php
/*
 * このファイルはWikiを複数設置する時の雛形です。
 * これをコピーし、設定を変更したら次のdie文を削除してください。
 */
die('雛形ファイルは直接呼び出せません。');

/* 
 * $Id: abstract.php,v 1.4 2004/09/23 13:43:16 youka Exp $
 * 
 * 設定ここから
 * 
 */

//WikiFarmのID。ファイル名（拡張子を除く）と一致させるのが無難。
define('WIKIID', 'abstract');

//パスワード。md5()で括るか、md5で暗号化したものをセットする。
define('ADMINPASS', md5('password'));

//サイト名
define('SITENAME', 'KinoWiki');

//トップページのページ名
define('DEFAULTPAGE', 'FrontPage');

//HTMLのテンプレート。スキン用ディレクトリ（system/skin）にあるファイルを指定。
define('SKINFILE', 'kinowiki.tpl.htm');

//使用するtDiaryのテーマ。スキン用ディレクトリ（system/skin）に入れてあるディレクトリ名を指定。
define('THEME', 'clover');

//バックアップの世代の最大値
define('BACKUP_MAX', 20);

//削除履歴を保存するページ名
define('RECENTDELETED', 'RecentDeleted');

//添付ファイルの最大サイズ（byte）
define('ATTACH_MAXSIZE', 2000000);

//メールの設定
define('MAIL_USE', false);	//メールを使う場合はtrue、使わない場合はfalse。
define('MAIL_DIFF', false);	//差分のみを送る場合はtrue、差分＋全文送るならfalse。
define('MAIL_SMTP', 'localhost');	//Windowsでのみ有効
define('MAIL_SMTP_PORT', 25);	//Windowsでのみ有効
define('MAIL_FROM', 'aaa@example.com');
define('MAIL_TO', 'aaa@example.com');


/*
 * ディレクトリの設定
 */

//DBファイルを保存するディレクトリ
//このディレクトリには書き込み権限を設定しなければならない）
define('DATA_DIR', './data/');

//スキンを保存するディレクトリ
define('SKIN_DIR', './system/skin/');

//テンプレートを保存するディレクトリ
define('TPL_DIR', './system/template/');

//コンパイル済みテンプレートを保存するディレクトリ
define('COMPILEDTPL_DIR', './system/templates_c/');

//コマンド用ファイルを保存するディレクトリ
define('CMD_DIR', './system/cmd/');

//プラグインを保存するディレクトリ
define('PLUGIN_DIR', './system/plugin/');

//本体を保存するディレクトリ
define('SYSTEM_DIR', './system/');


/*
 * 設定ここまで
*/



require_once(SYSTEM_DIR . 'kinowiki.inc.php');

$kinowiki = KinoWiki::getinstance();
$kinowiki->run();

?>